curl --request GET \
--url https://api.getcargo.io/v1/workspaceManagement/roles/{uuid} \
--header 'Authorization: Bearer <token>'{
"role": {
"uuid": "<string>",
"slug": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:agent:*"
]
}
],
"workspaceUuid": "<string>",
"createdAt": "<string>"
}
}Get a role by UUID
curl --request GET \
--url https://api.getcargo.io/v1/workspaceManagement/roles/{uuid} \
--header 'Authorization: Bearer <token>'{
"role": {
"uuid": "<string>",
"slug": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:agent:*"
]
}
],
"workspaceUuid": "<string>",
"createdAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Role identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Show child attributes
Was this page helpful?